<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.prime.com.tr/ui"
	xmlns:jsf="http://xmlns.jcp.org/jsf">
	<html>
	<h:body>
<div id="Menu">
		<ui:include src="HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		  
		  
		  <div class="col-md-8">	

					<div class="widget">
							<div class="widget-header transparent">
								<h2>Adding a new <strong>Trainer</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content padding">						
								<div id="horizontal-form">
									<h:form class="form-horizontal" role="form">
									
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Name</label>
										<div class="col-sm-10">
										  <h:inputText 
										  	value="#{trainerBean.trainer.name}"
										  	class="form-control"
										  	id="validateName" 
										  	required="true"
										  	requiredMessage="Name field is required !"/>
										</div>
										<div class="col-sm-3"></div>
										<h:message 
									  		 for="validateName"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									  
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Family Name</label>
										<div class="col-sm-10">
										  <h:inputText 
										  	value="#{trainerBean.trainer.familyName}"  
										  	class="form-control"
										  	id="validateFamilyName" 
										  	required="true"
										  	requiredMessage="FamilyName field is required !"/>
										</div>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateFamilyName"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									  
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Domain</label>
										<div class="col-sm-10">
										  <h:inputText 
												value="#{trainerBean.trainer.domain}"  
												class="form-control"
												id="validateDomain" 
										  		required="true"
										  		requiredMessage="Domain field is required !"/>
										</div>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateDomain"
									  		 class="col-sm-3 label label-warning" />
									  		 
									  </div>
									  
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Email</label>
										<div class="col-sm-10">
										  <h:inputText 
										  	value="#{trainerBean.trainer.email}"  
										  	class="form-control"
										  	id="validateEmail" 
										  	required="true"
										  	requiredMessage="Email field is required !"
										  	validatorMessage="Email field is invalid !">
										  	<f:validateRegex pattern=".+\@.+\..+"/>
										  	</h:inputText>
										</div>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateEmail"
									  		 class="col-sm-3 label label-warning" />
										
									   </div>
									  
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Phone number</label>
										<div class="col-sm-10">
										  <h:inputText 
										  	value="#{trainerBean.trainer.phoneNumber}"  
										  	class="form-control"
										  	id="validateNumber" 
										  	required="true"
										  	requiredMessage="PhoneNumber field is required !"
										  	validatorMessage="PhoneNumber field is invalid !">
											<f:validateRegex pattern="^([+]?[\d]{8})?$" />
											</h:inputText>
										</div>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateNumber"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									 
									  <br>
									  </br>
									 
									  <div class="form-group">
									  
										<div class="col-sm-offset-2 col-sm-10">
										<h:panelGrid columns="2">
											<h:commandLink 
												title="Add"
												action="trainerManagement.xhtml?faces-redirect=true"
												styleClass="btn btn-info" >
    											<i class="fa fa-plus-circle"></i> Add
												<f:actionListener binding="#{trainerBean.doAddTrainer()}"/>
											</h:commandLink>
											
											<h:commandButton
												title="Cancel"
												type="reset" 
												styleClass="btn btn-danger" value="Cancel">
											 </h:commandButton>
											
											
											</h:panelGrid>
										</div>
									
									
						
									  </div>
									</h:form>
								</div>
							</div>
						</div>
						
		  	</div>
		  </div>
		<ui:include src="Footer.xhtml" />
		</div>
		</h:body>
		</html>
</ui:composition>